Skip to main content
POST
/
v1
/
namespace
/
{namespaceId}
/
warm-up
TypeScript
import { Agentset } from "agentset";

const agentset = new Agentset({ apiKey: 'agentset_xxx' });
const ns = agentset.namespace('ns_xxx');

await ns.warmUp();
console.log("Cache warmed successfully");
{
  "success": true,
  "data": {
    "status": true
  }
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Headers

x-tenant-id
string

Optional tenant id to use for the request. If not provided, the namespace will be used directly. Must be alphanumeric and up to 64 characters.

Pattern: ^[A-Za-z0-9]{1,64}$

Path Parameters

namespaceId
string
required

The id of the namespace (prefixed with ns_)

Example:

"ns_123"

Response

Cache warming started

success
boolean
required
data
object
required